package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * PlanUpgradeModelInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class PlanUpgradeModelInfo   {
  @JsonProperty("modelList")
  @Valid
  private List<ModelUpgradeInfo> modelList = null;

  public PlanUpgradeModelInfo modelList(List<ModelUpgradeInfo> modelList) {
    this.modelList = modelList;
    return this;
  }

  public PlanUpgradeModelInfo addModelListItem(ModelUpgradeInfo modelListItem) {
    if (this.modelList == null) {
      this.modelList = new ArrayList<>();
    }
    this.modelList.add(modelListItem);
    return this;
  }

  /**
   * Get modelList
   * @return modelList
  */
  @ApiModelProperty(value = "")

  @Valid

  public List<ModelUpgradeInfo> getModelList() {
    return modelList;
  }

  public void setModelList(List<ModelUpgradeInfo> modelList) {
    this.modelList = modelList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PlanUpgradeModelInfo planUpgradeModelInfo = (PlanUpgradeModelInfo) o;
    return Objects.equals(this.modelList, planUpgradeModelInfo.modelList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(modelList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PlanUpgradeModelInfo {\n");
    
    sb.append("    modelList: ").append(toIndentedString(modelList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

